PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_dgelqf | ( | int | M,
|  | int | N,
|  | double * | A,
|  | int | LDA,
|  | PLASMA_desc * | descT
| ) |  |

PLASMA_dgelqf - Computes the tile LQ factorization of a complex M-by-N matrix A: A = L * Q.

Parameters

  [in] | M | The number of rows of the matrix A. M >= 0.
  [in] | N | The number of columns of the matrix A. N >= 0.
  [in,out] | A | On entry, the M-by-N matrix A. On exit, the elements on and below the diagonal of the array contain the m-by-min(M,N) lower trapezoidal matrix L (L is lower triangular if M <= N); the elements above the diagonal represent the unitary matrix Q as a product of elementary reflectors, stored by tiles.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,M).
  [out] | descT | On exit, auxiliary factorization data, required by PLASMA_dgelqs to solve the system of equations.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

See also
  PLASMA_dgelqf_Tile
  PLASMA_dgelqf_Tile_Async
  PLASMA_cgelqf
  PLASMA_dgelqf
  PLASMA_sgelqf
  PLASMA_dgelqs